/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   Benjamin Lerman (benjamin.lerman@ens.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File lcl.h */

/* Thus speaketh ye mighty CVS:
 * $Id: lcl.h,v 1.2 1999/05/30 18:04:19 david Exp $ */

/* This file contains the declarations and prototypes for lcl.c */

#ifndef _LEGENDES_LCL_H
#define _LEGENDES_LCL_H

/* Types and data declarations */

#ifndef PORTNUM
#define PORTNUM 8888
#endif

typedef struct lcl_conn_s lcl_conn_t;

/* Function prototypes */

lcl_conn_t *lcl_connect (char *server);

void lcl_req_nop (lcl_conn_t *conn);

int lcl_req_ack (lcl_conn_t *conn, uint32_t *v);

#endif /* not defined (_LEGENDES_LCL_H) */
