/* This file is part of Legendes II */
/* Copyright (c) 1998-1999 by
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   Benjamin Lerman (benjamin.lerman@ens.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File client.c */

/* Thus speaketh ye mighty CVS:
 * $Id: client.c,v 1.2 1999/05/30 18:04:17 david Exp $ */

/* This file contains the Legendes Client */

/* CVS identity of this file. */
static char id[] = "$Id: client.c,v 1.2 1999/05/30 18:04:17 david Exp $";

/* Include files */

#include <stdio.h>		/* Standard I/O */
#include <stdlib.h>		/* Standard library functions */

#include <stdint.h>

#include "lcl.h"

lcl_conn_t *conn;

int
main (void)
{
  uint32_t v;

  conn = lcl_connect ("localhost");
  lcl_req_ack (conn, &v);
  printf ("%d\n", v);
  lcl_req_nop (conn);
  lcl_req_ack (conn, &v);
  printf ("%d\n", v);
  return 0;
}
