/* This file is part of Legendes II */
/* Copyright (c) 1998 by
 *   Antoine Allain (allain@aix.ensam.fr)
 *   Philippe Clavel (philippe.clavel@supelec.fr)
 *   Benjamin Lerman (benjamin.lerman@ens.fr)
 *   David Madore (david.madore@ens.fr) */

/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
 * the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* File map.h */

/* Thus speaketh ye mighty CVS:
 * $Id: map.h,v 1.1 1999/05/29 15:23:40 david Exp $ */

/* This file contains the map declarations and prototypes. */

#ifndef _LEGENDES_MAP_H
#define _LEGENDES_MAP_H

#define MAP_SIZE_X 256
#define MAP_SIZE_Y 256

int map[MAP_SIZE_X][MAP_SIZE_Y];

int read_map (int x, int y);

void init_map (void);

#endif /* not defined (_LEGENDES_MAP_H) */
